Skip to main content
POST
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2026.0

Body

application/json

The request body used to create a shuttle job schedule.

job_id
string
required

The unique identifier of the shuttle job this schedule belongs to.

Example:

"6a3ba68e810d9156194530a1"

run_mode
enum<string>
required

The kind of run the schedule starts. scan is not a valid schedule run mode.

Available options:
transfer,
simulation,
analysis
Example:

"transfer"

trigger
Shuttle job schedule trigger by time · object
required

A time-based trigger that starts the schedule at a wall-clock time and optionally repeats.

state
enum<string>
default:enabled

Whether the schedule is active. When omitted, defaults to enabled.

Available options:
enabled,
paused
Example:

"enabled"

description
string | null

An optional human-readable description of the schedule.

Example:

"Nightly finance share replay."

Response

Returns the newly created shuttle job schedule.

A schedule that starts runs of a shuttle job. A schedule is either time-based or triggered by another job's run. Schedules cannot start a run in scan mode.

id
string
required

The unique identifier for the shuttle job schedule.

Example:

"7c1ba68e810d9156194530b2"

type
enum<string>
required

The value will always be shuttle_job_schedule.

Available options:
shuttle_job_schedule
Example:

"shuttle_job_schedule"

job_id
string
required

The unique identifier of the shuttle job this schedule belongs to.

Example:

"6a3ba68e810d9156194530a1"

state
enum<string>
required

Whether the schedule is active.

Available options:
enabled,
paused
Example:

"enabled"

run_mode
enum<string>
required

The kind of run the schedule starts. scan is not a valid schedule run mode.

Available options:
transfer,
simulation,
analysis
Example:

"transfer"

trigger
Shuttle job schedule trigger by time · object
required

A time-based trigger that starts the schedule at a wall-clock time and optionally repeats.

description
string | null

An optional human-readable description of the schedule.

Example:

"Nightly finance share replay."

last_attempt_at
string<date-time> | null

When the schedule last attempted to start a run. null when the schedule has never started a run.

Example:

"2026-03-16T09:00:12Z"

Last modified on October 26, 2026